# HVL bachelor project 22 - a tool for centralized logging


### Install guide

[Docker](https://docs.docker.com/install) and [Docker Compose](https://docs.docker.com/compose/install) are required to be installed in order for this tool to run.

FIRST TIME STUP:

Step 1: Open up the terminal of your choice, navigate to the folder where you cloned the repository.

Step 2: This is an optional step. If you want to change the name of the job which is named "varlogs" by default, navigate to the promtails configurations file. Change "varlogs" under scrape_configs -> labels -> job to the preferred name. You can add additional jobs under labels.

Step 3: Navigate to the promtails configurations file. Change "system" under scrape_configs -> job_name to a preferred name for this particular promtail instance. You can leave it to be at default value, but if you have more promtail instances running, you should give them individual names. 

Step 4: This is an optional step. If you want to push logs to a different Loki instance, change the url under clients -> url in the promtail config file.

Step 3: Write "docker compose up". Press enter to run. Docker Compose should then automatically get everything ready for you.

